Search multiple wallets
GET https://wallet.paysera.com/rest/v1/wallets
Get multiple wallets by provided filters (batch search).
Example:
GET /wallets?email=john@example.com,smith@example.com&phone=37066612345
Note: At least one search criteria must be specified.
Authorization​
This endpoint requires MAC (Message Authentication Code) authentication.
Authorization Header Format:
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
Example:
Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"
For more details, see the Authentication section.
Parameters​
Query Parameters​
| Name | Type | Required | Description |
|---|---|---|---|
email | string | Comma-separated list of emails | |
phone | string | Comma-separated list of phones |
Example​
Request​
GET https://wallet.paysera.com/rest/v1/wallets?email=john@example.com,smith@example.com&phone=37066612345
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"
Response​
{
"smith@example.com": {
"id": 887,
"owner": 5547,
"account": {
"number": "EVP0010001000102",
"owner_display_name": "Jane Smith"
}
},
"john@example.com": {
"id": 14471,
"owner": 221,
"account": {
"number": "EVP0010001000101",
"owner_display_name": "John Doe"
}
}
}
AUTHORIZATION: HTTP
REQUEST
Base URL
https://wallet.paysera.com
Query Parameters
emailComma-separated list of emails
phoneComma-separated list of phones
RESPONSE
Wallets search results
{
"smith@example.com": {
"id": 887,
"owner": 5547,
"account": {
"number": "EVP0010001000102",
"owner_display_name": "Jane Smith"
}
},
"john@example.com": {
"id": 14471,
"owner": 221,
"account": {
"number": "EVP0010001000101",
"owner_display_name": "John Doe"
}
}
}